com.amazonaws.codegen.emitters.tasks

## Class MarshallerGeneratorTasks

- java.lang.Object
- - com.amazonaws.codegen.emitters.tasks.BaseGeneratorTasks
  - - com.amazonaws.codegen.emitters.tasks.MarshallerGeneratorTasks

All Implemented Interfaces:
  Iterable<GeneratorTask>

    public class MarshallerGeneratorTasks
    extends BaseGeneratorTasks

### Field Summary

### Fields inherited from class com.amazonaws.codegen.emitters.tasks.BaseGeneratorTasks

`freemarker, log, model`

### Constructor Summary

Constructors
Constructor and Description
`MarshallerGeneratorTasks(GeneratorTaskParams dependencies)`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected List<GeneratorTask>` `createTasks()`

### Methods inherited from class com.amazonaws.codegen.emitters.tasks.BaseGeneratorTasks

`hasTasks, info, iterator`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### MarshallerGeneratorTasks

    public MarshallerGeneratorTasks(GeneratorTaskParams dependencies)

### Method Detail

#### createTasks

    protected List<GeneratorTask> createTasks()
                                       throws Exception

Specified by:
  `createTasks` in class `BaseGeneratorTasks`
Throws:
  `Exception`